Bug 263696 - Network Info and History not working for interfaces started after ksysguard loaded
Summary: Network Info and History not working for interfaces started after ksysguard l...
Status: RESOLVED FIXED
Alias: None
Product: ksysguard
Classification: Applications
Component: ksysguard (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-19 23:30 UTC by aderocha
Modified: 2011-03-28 23:38 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description aderocha 2011-01-19 23:30:01 UTC
Version:           unspecified (using KDE 4.4.5) 
OS:                Linux

Network History (traffic) keeps as none (0) when Ksysguard loaded before network connection established. This occurs at least with ppp connections.
If ksysguard closed and reopened it shows network traffic correctly.

Reproducible: Always

Steps to Reproduce:
- Log off from KDE
- Log in again but with no Network connection
- Start ksysguard 
- Establish a network connection (tried with ppp)
- Load something from the network
- No network traffic shall be shown
- Keeping your network connection, close and re-open ksysguard
- After re-opened ksysguard and perform some use of the network, traffic shall now be shown

Actual Results:  
No traffic when ksysguard loaded before network
Traffic shown when ksysguard opened after network established

Expected Results:  
ksysguard should refresh network history independently of being oened before or after network connection established
Comment 1 aderocha 2011-01-19 23:48:38 UTC
I noticed that problem ksysguard seems not to detect presence / activation of ppp interface
Comment 2 John Tapsell 2011-03-21 12:18:56 UTC
Git commit 4162df7ab484ed2e6aef8ab2caf87af9eb591ef9 by John Tapsell.
Committed on 21/03/2011 at 09:46.
Pushed by johnflux into branch 'master'.

Detect new network interfaces, and new partitions

BUG:263696

M  +7    -6    ksysguard/ksysguardd/Linux/netdev.c     
M  +16   -9    ksysguard/ksysguardd/ksysguardd.c     
M  +9    -1    ksysguard/ksysguardd/modules.h     

http://commits.kde.org/kde-workspace/4162df7ab484ed2e6aef8ab2caf87af9eb591ef9
Comment 3 John Tapsell 2011-03-28 23:38:20 UTC
Git commit cb2cf1cad08b8832e49e750dfbf282e587c69b6c by John Tapsell.
Committed on 21/03/2011 at 09:46.
Pushed by johnflux into branch 'KDE/4.6'.

Detect new network interfaces, and new partitions

BUG:263696

M  +7    -6    ksysguard/ksysguardd/Linux/netdev.c     
M  +16   -9    ksysguard/ksysguardd/ksysguardd.c     
M  +9    -1    ksysguard/ksysguardd/modules.h     

http://commits.kde.org/kde-workspace/cb2cf1cad08b8832e49e750dfbf282e587c69b6c